/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003 .. 2006 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: i18n.c,v 1.58 2005/01/09 18:16:08 akool Exp $
 * Release: $Name:  $
 *
 */

#include "i18n.h"

const char *SoundDevices[] = SOUND_DEVICE_LABELS;

const char *audiomodes[] = {
    "Stereo",
    "Joint stereo",
    "Dual channel",
    "Mono"
};

const char *samplerates[] = {
    "22.05 KHz",
    "32 KHz",
    "44.1 KHz",
    "48 KHz",
    "96 KHz"
};

const char *analysismodes[] = {
    "Static",
    "Fast",
    "Accurate"
};

const char *loggers[] = {
    "none",
    "stdout",
    "syslog",
    "file"
};

const char *encoders[] = {
    "mp1e",
    "ffmpeg TS",
    "ffmpeg PES",
    "fame",
    "test",
    "lavrec",
    "mencoder",
    "PVR TS",
    "PVR PES",
    "nvrec TS",
    "nvrec PES"
};

const char *memcpys[] = {
    "Unknown",
    "glibc",
    "linux kernel",
    "MMX optimized",
    "MMXEXT optimized",
    "SSE optimized"
};

const char *imagesizes[] = { // Supported TMS320AV7110 PAL Video-Resolutions
    "352x288",
    "352x576",
    "480x576",
    "544x576",
    "704x576",
    "720x576"
};

const char *filters[] = {
    "1 YUV 4:2:0 fastest",
    "2 YUYV 4:2:2 fastest",
    "3 YUYV 4:2:2 v-decimation",
    "4 DONT USE", // "YUYV temporal interpolation" - is no longer available
    "5 YUYV 4:2:2 v-interpolation",
    "6 DONT USE", // "YUYV progressive" - Sorry, progressive mode out of order
    "7 DONT USE", // "YUYV progressive temporal" - Sorry, progressive mode out of order
    "8 YUV 4:2:0 v-decimation",
    "9 YUYV 4:2:2 h-decimation",
    "10 YUYV 4:2:2 4:1 decimation",
    "11 YVU 4:2:0 fastest"
};

const char *profiles[] = {
    "User defined",
    "fastest (weakly CPU)",
    "medium (like akool)",
    "best (strong CPU)",
    "low filesize",
    "PVR",
    "Automatic"
};

const char *tests[] = {
    "none",
    "audio fft, filter and mdct test",
    "video",
    "DONT USE",
    "video frame dropping test (20%)",
    "video effective bit rate",
    "deliberate sampling rate mismatch",
    "store raw audio data (driver interface test)", // capture raw audio as ./raw-audio
    "randomize video",
    "DONT USE",                                     // clock drift code
    "fixed video pattern, silent audio"
};

const char *grabsizes[] = { // Supported BTTV PAL Video-Resolutions
    "368x288",
    "368x576",
    "496x576",
    "560x576",
    "720x576",
    "736x576"
};

const char *epgsources[] = {
    "file",
    "pipe",
    "hoerzu2vdr"
};

const char *languages[] = {
    "none",
    "eng",
    "ger",
    "fra"
};

const char *gops[] = {
    "IBBPBBPBBPBBP",
    "I",
    "IPPPPP"
};

const char *dnr_modes[] = {
    "spatial and temporal",
    "temporal only",
    "spatial only",
    "none"
};

const char *closures[] = {
    "open",
    "closed"
};

const char *tvnorms[] = {
    "PAL",
    "NTSC",
    "SECAM"
};

const char *remuxes[] = {
    "none",
    "replex",
    "replex -f"
};

const char *digiboxmodes[] = {
    "none",
    "Sky",
    "Pace RC5",
    "Pace IRDA"
};

const char *bitratemodes[] = {
    "VBR",
    "CBR"
};

const char *aspects[] = {
    "1:1 square",
    "4:3",
    "16:9",
    "2.21:1",
};

const char *pulldowns[] = {
    "enabled",
    "disabled"
};

